#
# spec file for package python-django-jsonfield
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python36 1
%{?sle15_python_module_pythons}
Name:           python-django-jsonfield
Version:        3.1.0
Release:        4.3
Summary:        A reusable Django field to store validated JSON
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/dmkoch/django-jsonfield/
Source:         https://files.pythonhosted.org/packages/source/j/jsonfield/jsonfield-%{version}.tar.gz
BuildRequires:  %{python_module Django >= 2.2}
BuildRequires:  %{python_module base >= 3.6}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest-django}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 2.2
BuildArch:      noarch
%python_subpackages

%description
Django-jsonfield is a reusable Django field that allows you to
store validated JSON in your model.

%prep
%autosetup -p1 -n jsonfield-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
PYTHONPATH=.
export DJANGO_SETTINGS_MODULE="tests.settings"
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/jsonfield
%{python_sitelib}/jsonfield-%{version}*-info

%changelog
* Wed Mar 13 2024 Matej Cepl <mcepl@cepl.eu>
- Clean up the SPEC file
* Tue Mar 12 2024 Max Lin <mlin@suse.com>
- Add %%{?sle15_python_module_pythons}
* Fri Jan  7 2022 John Vandenberg <jayvdb@gmail.com>
- Skip Tumbleweed Python 3.6 incompatible with Django 4
* Wed Sep  2 2020 Marketa Calabkova <mcalabkova@suse.com>
- Fix test execution
* Tue Apr 28 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.1.0:
  * Support for new django releases
* Wed May 15 2019 Tomáš Chvátal <tchvatal@suse.com>
- Make sure the tests are executed
- Match the version requirement on Django from setup.py
* Mon May 28 2018 9@cirno.systems
- Init, 2.0.2
